# Create oneline for WAPT Console with actual pkg name and CSV
one_liner_list = []
csv_data = []
for m in all_missing_packages:
    one_liner_list.append(repoclient[m].package)
    # Create CSV with tis-package,client_package,client
    csv_data.append([m, repoclient[m].package, client_name])

with open(makepath(tested_packages_file_dir, "calc_result.csv"), "w", newline="") as csv_file:
    csv_writer = csv.writer(csv_file)
    csv_writer.writerows(csv_data)


# -*- coding: utf-8 -*-
from setuphelpers import *
import platform
import json

uninstallkey = []

# Declaring specific app values (TO CHANGE)
bin_name_string = "binary_%s.exe"
silent_args_string = "-q -j %s"
lina_users_list = "file.csv"


def install():
    # Define user token with CSV file
    if isfile(lina_users_list):
        dict_uuid_token = {}
        with open(lina_users_list, "r") as f:
            for line in f.read().split("\n"):
                uuid = line.split(",")[0]
                token = line.split(",")[4]
                dict_uuid_token[uuid] = token

        token = dict_uuid_token[WAPT.host_uuid]
    else:
        token = ""

    # Specific app values
    package_version = control.version.split("-")[0]
    bin_name = bin_name_string % package_version

    # Installing the package
    install_exe_if_needed(
        bin_name,
        silentflags=silent_args_string % token,
        key=app_uninstallkey,
        min_version=package_version,
    )


def update_package():
    pass
