def install():
    bin_name = glob.glob("Dell-Command-Update-Application_*.EXE")[0]
    try:
        install_exe_if_needed(
            bin_name,
            silentflags=rf'/s /factoryinstall /passthrough /l="C:\Windows\Temp\%s"' % bin_name + ".log",
            name="Dell Command | Update",
            min_version=control.get_software_version(),
            timeout=900,
        )
    except Exception as e:
        if e.__dict__.get("returncode", 0) == 4:
            print(e)
            error(f"{control.name} cannot be installed because this PC is not a Dell Compatible System, please check: {control.sources}")
        else:
            error(e)
