#!waptpython
# -*- coding: utf-8 -*-
import os
import sys

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from setupdevhelpers import get_control_dict
from dev_utils import get_package_tools_path, get_template_path

sys.path.insert(0, sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "").replace("\\Scripts", ""))
from setuphelpers import makepath, filecopyto


###############################################################################
package_tools_path = get_package_tools_path()
target_os = get_control_dict(".")["target_os"]
folder_to_scan = makepath(package_tools_path, "code-templates", target_os)
template_to_copy = get_template_path(folder_to_scan)
print(f"Copying: {template_to_copy} to this package.")
filecopyto(template_to_copy, ".\\setup.py")
